TESTING/EIG/cget35.f(3)

NAME
TESTING/EIG/cget35.f

SYNOPSIS

  Functions/Subroutines
subroutine cget35 (rmax, lmax, ninfo, knt, nin)
CGET35

Function/Subroutine Documentation

  subroutine cget35 (real rmax, integer lmax, integer ninfo, integer knt, integer nin)

CGET35

Purpose:

     CGET35 tests CTRSYL, a routine for solving the Sylvester matrix
     equation
        op(A)*X + ISGN*X*op(B) = scale*C,
     A and B are assumed to be in Schur canonical form, op() represents an
     optional transpose, and ISGN can be -1 or +1.  Scale is an output
     less than or equal to 1, chosen to avoid overflow in X.
     The test code verifies that the following residual is order 1:
        norm(op(A)*X + ISGN*X*op(B) - scale*C) /
            (EPS*max(norm(A),norm(B))*norm(X))

Parameters
    RMAX

              RMAX is REAL
              Value of the largest test ratio.

    LMAX

              LMAX is INTEGER
              Example number where largest test ratio achieved.

    NINFO

              NINFO is INTEGER
              Number of examples where INFO is nonzero.

    KNT

              KNT is INTEGER
              Total number of examples tested.

    NIN

              NIN is INTEGER
              Input logical unit number.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 83 of file cget35.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.